/*!
 * UI development toolkit for HTML5 (OpenUI5)
 * (c) Copyright 2009-2016 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(['jquery.sap.global'],function(q){"use strict";var F={};F.render=function(r,c){r.write('<div');r.writeControlData(c);r.addClass('sapUiFixFlex');if(c.getMinFlexSize()!==0){r.addClass('sapUiFixFlexInnerScrolling');}if(!c.getVertical()){r.addClass('sapUiFixFlexRow');}if(!q.support.hasFlexBoxSupport){r.addClass('sapUiFixFlex-Legacy');}r.writeClasses();r.write('>');if(c.getFixFirst()){this.renderFixChild(r,c);this.renderFlexChild(r,c);}else{this.renderFlexChild(r,c);this.renderFixChild(r,c);}r.write('</div>');};F.renderFixChild=function(r,c){var f=c.getFixContent();r.write('<div id="'+c.getId()+'-Fixed" class="sapUiFixFlexFixed"');if(c.getFixContentSize()!=='auto'){if(c.getVertical()){r.addStyle('height',c.getFixContentSize());}else{r.addStyle('width',c.getFixContentSize());}r.writeStyles();}r.write('>');for(var i=0;i<f.length;i++){r.renderControl(f[i]);}r.write('</div>');};F.renderFlexChild=function(r,c){var f=c.getFlexContent();r.write('<div id="'+c.getId()+'-Flexible" class="sapUiFixFlexFlexible">');r.write('<div id="'+c.getId()+'-FlexibleContainer" class="sapUiFixFlexFlexibleContainer"');if(c.getMinFlexSize()!==0){if(c.getVertical()){r.write('style="min-height:'+c.getMinFlexSize()+'px"');}else{r.write('style="min-width:'+c.getMinFlexSize()+'px"');}}r.write('>');r.renderControl(f);r.write('</div>');r.write('</div>');};return F;},true);
